# org.springframework.orm.jdo

## Interfaces

- JdoCallback
- JdoDialect
- JdoOperations

## Classes

- DefaultJdoDialect
- JdoAccessor
- JdoInterceptor
- JdoTemplate
- JdoTransactionManager
- LocalPersistenceManagerFactoryBean
- PersistenceManagerFactoryUtils
- PersistenceManagerHolder
- TransactionAwarePersistenceManagerFactoryProxy

## Exceptions

- JdoObjectRetrievalFailureException
- JdoOptimisticLockingFailureException
- JdoResourceFailureException
- JdoSystemException
- JdoUsageException